import 'package:flutter_mylibrary/base/request_info.dart';
import 'package:flutter_mylibrary/http/easy_dio.dart';
import 'package:flutter_mylibrary/http/http_data.dart';
import 'base_view_state.dart';

mixin BaseRequestHelper implements BaseViewState{

  Future<HttpData> doRequest(RequestInfo requestInfo){
    return EasyDio().request(
      requestInfo?.method,
      requestInfo?.url,
      data: requestInfo?.data,
      publicMethod: requestInfo?.publicMethod,
    );
  }
}