import 'base_controller.dart';

mixin BaseRequestListController<T> implements BaseController{

  /// 页面数据
  List<T> list = [];

  onCompleted(List<T> data) {}



  ///获取数据
  void getData(){
    request((httpData){
      var data = httpData.data;
      list = data is List? List<T>.from(data.map((e) => getRequestInfo()?.handleRes(e))).toList() : getRequestInfo()?.handleRes(data);
      httpData.data = list;
      onCompleted(list);
    });
  }


  void requestWhenError(){
    setBusy();
    getData();
  }
}